OpenVDB 7.0.0

Classes | Public Member Functions | List of all members
PointDataSampler< PointDataGridT, SamplerT, FilterT, InterrupterT > Class Template Reference

`#include <PointSample.h>`

## Public Member Functions
| PointDataSampler (size_t order, PointDataGridT &points, const SamplerT &sampler, const FilterT &filter, InterrupterT *const interrupter, const bool threaded)
template<typename SourceGridT , typename TargetValueT = typename SourceGridT::ValueType>
void | sample (const SourceGridT &sourceGrid, Index targetIndex)

## Constructor & Destructor Documentation

## ◆ PointDataSampler()

PointDataSampler | ( | size_t | order,
|  | PointDataGridT & | points,
|  | const SamplerT & | sampler,
|  | const FilterT & | filter,
|  | InterrupterT *const | interrupter,
|  | const bool | threaded
| ) |  |
| inline

## Member Function Documentation

## ◆ sample()

void sample | ( | const SourceGridT & | sourceGrid,
|  | Index | targetIndex
| ) |  |
| inline

The documentation for this class was generated from the following file:

- PointSample.h